Bug 77491 - [new ports] p5-Test-LongString p5-Test-WWW-Mechanize p5-Module-Refresh
Summary: [new ports] p5-Test-LongString p5-Test-WWW-Mechanize p5-Module-Refresh
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Anton Berezin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 10:30 UTC by Angelo Turetta
Modified: 2005-02-14 15:26 UTC (History)
1 user (show)

See Also:


Attachments
three-devel-ports.tar (27.59 KB, text/plain)
2005-02-14 10:30 UTC, Angelo Turetta
no flags Details
three-devel-ports.tar.gz (2.23 KB, application/x-gzip)
2005-02-14 11:02 UTC, Angelo Turetta
no flags Details
diff1 (351 bytes, text/plain)
2005-02-14 12:02 UTC, Angelo Turetta
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Turetta 2005-02-14 10:30:31 UTC
	These three new ports are dependencies for the upcoming port of
	RT3.4.x, which I'm waiting to submit just after the release of version
	3.4.1 (due this week)
	I've included a diff to add the ports to the category Makefile
Comment 1 Anton Berezin freebsd_committer 2005-02-14 10:43:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

Grab.
Comment 2 Mathieu Arnold freebsd_committer 2005-02-14 10:48:51 UTC
+-Le 14/02/2005 11:25 +0100, Angelo Turetta a dit :
| 
|> Description:
| 	These three new ports are dependencies for the upcoming port of
| 	RT3.4.x, which I'm waiting to submit just after the release of version
| 	3.4.1 (due this week)
| 	I've included a diff to add the ports to the category Makefile
|> How-To-Repeat:
|> Fix:

How kind of you to give us to maintain the ports you need :-)
perl@FreeBSD.org is not designed to be the maintainer of unmaintained perl
ports, if you need those ports, you'd better maintain them yourself,
otherwise, assign them to ports@FreeBSD.org :-)

-- 
Mathieu Arnold
Comment 3 Angelo Turetta 2005-02-14 11:02:13 UTC
Mathieu Arnold wrote:

> +-Le 14/02/2005 11:25 +0100, Angelo Turetta a dit :
> How kind of you to give us to maintain the ports you need :-)
> perl@FreeBSD.org is not designed to be the maintainer of unmaintained perl
> ports, if you need those ports, you'd better maintain them yourself,
> otherwise, assign them to ports@FreeBSD.org :-)

I guess you are right, but it's the first port I submit, it was done in 
good faith :-)

And you are a bit ungenerous, it's not just me that needs these ports, 
but anyone going to use http://www.bestpractical.com/rt/ :-)

Jokes aside,  please find attached a new tar with the maintainer 
corrected, and sorry for the noise...

Angelo Turetta
Comment 4 Anton Berezin freebsd_committer 2005-02-14 11:28:34 UTC
State Changed
From-To: open->feedback

Have you tested the ports with different versions of Perl?  At least for 
me p5-Module-Refresh seem to coredump with system perl on 4.X 
(perl5.005_03).
Comment 5 Angelo Turetta 2005-02-14 12:02:00 UTC
Anton Berezin wrote:

> Have you tested the ports with different versions of Perl?  At least for
> me p5-Module-Refresh seem to coredump with system perl on 4.X
> (perl5.005_03).

Actually no, but I think it works only on a recent perl....

What about the attached patch ?

Angelo Turetta.



Comment 6 Anton Berezin freebsd_committer 2005-02-14 13:16:55 UTC
On Mon, Feb 14, 2005 at 01:02:00PM +0100, Angelo Turetta wrote:
> Anton Berezin wrote:
> 
> >Have you tested the ports with different versions of Perl?  At least for
> >me p5-Module-Refresh seem to coredump with system perl on 4.X
> >(perl5.005_03).
> 
> Actually no, but I think it works only on a recent perl....
> 
> What about the attached patch ?

> --- ../Makefile	Mon Feb 14 11:54:18 2005
> +++ devel/p5-Module-Refresh/Makefile	Mon Feb 14 12:56:42 2005
> @@ -19,4 +19,10 @@
>  
>  MAN3=		Module::Refresh.3
>  
> -.include <bsd.port.mk>
> +.include <bsd.port.pre.mk>
> +
> +.if ${PERL_LEVEL} < 500600
> +IGNORE=		Port requires perl 5.6.x or later. Install lang/perl5 then try again
> +.endif
> +
> +.include <bsd.port.post.mk>

That will take care of 5.005_03, yes.  But I noticed that this
particular port also fails tests with 5.6.2.  And of course, it is
possible to do the same trick here and absolutely require 5.8.X,
especially since RT3 does not run quite well with 5.6.X anyway.
However, if this module can be of general use, it would be nice to find
out why it fails tests with 5.6 and maybe even fix that.

Thoughts?

\Anton.
-- 
The moronity of the universe is a monotonically increasing function. --
Jarkko Hietaniemi
Comment 7 Angelo Turetta 2005-02-14 13:49:59 UTC
Anton Berezin wrote:

> However, if this module can be of general use, it would be nice to find
> out why it fails tests with 5.6 and maybe even fix that.
> 
> Thoughts?

I've seen the author of the module is Jesse Vincent, leader of the RT 
dev team, and he published it at the end of november last year: so I 
think nobody has tested it on perl < 5.8.3

The only route for now is to force it on perl 5.8, i think.

Angelo.
Comment 8 Anton Berezin freebsd_committer 2005-02-14 14:13:01 UTC
State Changed
From-To: feedback->open

Feedback received. 

p5-Module-Refresh added.
Comment 9 Anton Berezin freebsd_committer 2005-02-14 14:54:10 UTC
p5-Test-LongString added.  I put 5.6 as a requirement for this one.

-- 
The moronity of the universe is a monotonically increasing function. --
Jarkko Hietaniemi
Comment 10 Anton Berezin freebsd_committer 2005-02-14 15:25:46 UTC
State Changed
From-To: open->closed

p5-Test-WWW-Mechanize also added, also with 5.6 being a requirement. 

Thanks for your submission!